com.threerings.puzzle.data

## Class PuzzleGameMarshaller

- java.lang.Object
- - com.threerings.presents.data.InvocationMarshaller
  - - com.threerings.puzzle.data.PuzzleGameMarshaller

All Implemented Interfaces:
  com.threerings.io.Streamable, com.threerings.presents.client.InvocationService, com.threerings.presents.data.InvocationCodes, PuzzleGameService, PuzzleCodes

    @Generated(value="com.threerings.presents.tools.GenServiceTask",
               comments="Derived from PuzzleGameService.java.")
    public class PuzzleGameMarshaller
    extends com.threerings.presents.data.InvocationMarshaller
    implements PuzzleGameService

Provides the implementation of the `PuzzleGameService` interface that marshalls the arguments and delivers the request to the provider on the server. Also provides an implementation of the response listener interfaces that marshall the response arguments and deliver them back to the requesting client.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.threerings.presents.data.InvocationMarshaller

`com.threerings.presents.data.InvocationMarshaller.ConfirmMarshaller, com.threerings.presents.data.InvocationMarshaller.ListenerMarshaller, com.threerings.presents.data.InvocationMarshaller.ResultMarshaller`

### Nested classes/interfaces inherited from interface com.threerings.presents.client.InvocationService

`com.threerings.presents.client.InvocationService.ConfirmListener, com.threerings.presents.client.InvocationService.InvocationListener, com.threerings.presents.client.InvocationService.ResultListener`

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Field Summary

Fields
`static int` `UPDATE_PROGRESS` The method id used to dispatch `updateProgress(int, int[])` requests.
`static int` `UPDATE_PROGRESS_SYNC` The method id used to dispatch `updateProgressSync(int, int[], com.threerings.puzzle.data.Board[])` requests.

### Fields inherited from interface com.threerings.puzzle.data.PuzzleCodes

`DEBUG_PUZZLE, DEFAULT_DIFFICULTY, PUZZLE_MESSAGE_BUNDLE`

### Fields inherited from interface com.threerings.presents.data.InvocationCodes

`ACCESS_DENIED, E_ACCESS_DENIED, E_INTERNAL_ERROR, GLOBAL_GROUP, INTERNAL_ERROR`

### Constructor Summary

Constructors
Constructor and Description
`PuzzleGameMarshaller()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `updateProgress(int arg1, int[] arg2)` Asks the puzzle manager to apply the supplied progress events for the specified puzzle round to the player's state.
`void` `updateProgressSync(int arg1, int[] arg2, Board[] arg3)` Debug variant of `PuzzleGameService.updateProgress(int, int[])` that is only used when `PuzzlePanel.isSyncingBoards()` is true and which includes the board states associated with each event.

### Methods inherited from class com.threerings.presents.data.InvocationMarshaller

`getInvocationCode, init, readObject, setInvocationOid, setNoResponse, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### UPDATE_PROGRESS

    public static final int UPDATE_PROGRESS

The method id used to dispatch `updateProgress(int, int[])` requests.

See Also:
  Constant Field Values

#### UPDATE_PROGRESS_SYNC

    public static final int UPDATE_PROGRESS_SYNC

The method id used to dispatch `updateProgressSync(int, int[], com.threerings.puzzle.data.Board[])` requests.

See Also:
  Constant Field Values

### Constructor Detail

#### PuzzleGameMarshaller

    public PuzzleGameMarshaller()

### Method Detail

#### updateProgress

    public void updateProgress(int arg1,
                               int[] arg2)

Description copied from interface: `PuzzleGameService`
Asks the puzzle manager to apply the supplied progress events for the specified puzzle round to the player's state.

Specified by:
  `updateProgress` in interface `PuzzleGameService`

#### updateProgressSync

    public void updateProgressSync(int arg1,
                                   int[] arg2,
                                   Board[] arg3)

Description copied from interface: `PuzzleGameService`
Debug variant of `PuzzleGameService.updateProgress(int, int[])` that is only used when `PuzzlePanel.isSyncingBoards()` is true and which includes the board states associated with each event.

Specified by:
  `updateProgressSync` in interface `PuzzleGameService`